List every live public Price Engine option
curl --request GET \
--url https://api-v2.watchcollect.com/v2/public/price-engine/v1/catalog \
--header 'Origin: <origin>'const options = {method: 'GET', headers: {Origin: '<origin>'}};
fetch('https://api-v2.watchcollect.com/v2/public/price-engine/v1/catalog', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api-v2.watchcollect.com/v2/public/price-engine/v1/catalog"
headers = {"Origin": "<origin>"}
response = requests.get(url, headers=headers)
print(response.text){
"schema_version": "price-engine.catalog.v1",
"as_of": "2023-11-07T05:31:56Z",
"total": 1,
"items": [
{
"brand": "Rolex",
"brand_slug": "rolex",
"reference": "<string>",
"years": [
2050
],
"configuration_key": "<string>",
"configuration_label": "<string>"
}
]
}Market — Price Engine
List every live public Price Engine option
Omit brand to list all Rolex, Patek Philippe and Audemars Piguet configurations.
GET
/
v2
/
public
/
price-engine
/
v1
/
catalog
List every live public Price Engine option
curl --request GET \
--url https://api-v2.watchcollect.com/v2/public/price-engine/v1/catalog \
--header 'Origin: <origin>'const options = {method: 'GET', headers: {Origin: '<origin>'}};
fetch('https://api-v2.watchcollect.com/v2/public/price-engine/v1/catalog', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api-v2.watchcollect.com/v2/public/price-engine/v1/catalog"
headers = {"Origin": "<origin>"}
response = requests.get(url, headers=headers)
print(response.text){
"schema_version": "price-engine.catalog.v1",
"as_of": "2023-11-07T05:31:56Z",
"total": 1,
"items": [
{
"brand": "Rolex",
"brand_slug": "rolex",
"reference": "<string>",
"years": [
2050
],
"configuration_key": "<string>",
"configuration_label": "<string>"
}
]
}Headers
Query Parameters
Available options:
rolex, patek, ap